TrustySign version 4.1.4

Certificate details

Status archived
Valid from 26.08.2010
Valid until 01.09.2019
Scheme 🇫🇷 FR
Manufacturer C.S.
Category Products for Digital Signatures
Security level EAL3+, ALC_FLR.3

Certificate

certificate could not be downloaded, no link is available.

Certification report

Extracted keywords

Symmetric Algorithms
DES

Vendor
Oberthur, Microsoft

Security level
EAL 3, EAL4, EAL 1, EAL 5, EAL 7, ITSEC E3 Elémentaire
Security Assurance Requirements (SAR)
ADV_ARC, ADV_FSP, ADV_IMP, ADV_INT, ADV_SPM, ADV_TDS, AGD_OPE, AGD_PRE, ALC_FLR.3, ALC_FLR, ALC_CMC, ALC_CMS, ALC_DEL, ALC_DVS, ALC_LCD, ALC_TAT, ATE_COV, ATE_DPT, ATE_FUN, ATE_IND, AVA_VAN, ASE_CCL, ASE_ECD, ASE_INT, ASE_OBJ, ASE_REQ, ASE_SPD, ASE_TSS
Certificates
ANSSI-CC-2010/53
Evaluation facilities
CESTI, OPPIDA

Standards
CCMB-2006-09-001, CCMB-2007-09-002, CCMB-2007-09-003, CCMB-2007-09-004

Frontpage

Certificate ID ANSSI-CC-2010/53 | |--------------------------------------------------------------------------------------------------------------------------------------------------------------------------| |
Certified item | | TrustySign Référence/version du produit Version 4.1.4 | |
Certification lab Oppida | | 4-6 avenue du vieil Ă©tang, Bâtiment B, 78180 Montigny le Bretonneux, TĂ©l : +33 (0)1 30 14 19 00, mĂ©l : [email protected]
Developer C.S. 22 avenue Galilée, 92350 Le Plessis-Robinson, France | | Commanditaire C.S. 22 avenue Galilée, 92350 Le Plessis-Robinson, France

Security target

Extracted keywords

Symmetric Algorithms
AES-128, AES-192, AES-256, AES, DES
Hash functions
SHA-1, SHA512, SHA-384, SHA-256

Vendor
Oberthur, Microsoft

Security level
EAL 4+, EAL3
Claims
OE.P
Security Assurance Requirements (SAR)
ADV_ARC.1, ADV_FSP.3, ADV_TDS.2, ADV_FSP.1, ADV_TDS.1, ADV_FSP.2, AGD_OPE.1, AGD_PRE.1, ALC_FLR.3, ALC_CMC.3, ALC_CMS.3, ALC_DEL, ALC_DVS.1, ALC_LCD.1, ALC_CMS.1, ALC_DEL.1, ATE_COV.2, ATE_DPT.1, ATE_FUN.1, ATE_IND.2, ATE_COV.1, AVA_VAN.2, ASE_CCL.1, ASE_ECD.1, ASE_INT.1, ASE_OBJ.2, ASE_REQ.2, ASE_SPD.1, ASE_TSS.1, ASE_REQ.1
Security Functional Requirements (SFR)
FCS_COP, FCS_COP.1, FCS_CKM, FCS_CKM.1, FCS_CKM.4, FCS_CKM.2, FDP_IFC, FDP_IFC.1, FDP_IFF, FDP_IFF.1, FDP_ITC, FDP_ITC.1, FDP_ITC.2, FDP_ROL, FDP_ROL.2, FDP_ETC, FDP_ETC.2, FDP_ACC.1, FIA_UID.2, FIA_UAU, FIA_UAU.1, FIA_UID.1, FMT_MSA, FMT_MSA.3, FMT_MSA.1, FMT_SMF, FMT_SMF.1, FMT_MTD, FMT_MTD.1, FMT_SMR, FMT_SMR.1, FPT_TDC, FPT_TDC.1, FTP_ITC.1, FTP_TRP.1

Standards
PKCS#11, PKCS #11, PKCS#12, PKCS#1, RFC 3280, RFC 3739, RFC-3161, CCMB-2007-09-002, CCMB-2007-09-003

Automated analysis

Automated inference - use with caution

All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.

Certificate ID

ANSSI-CC-2010/53

Extracted SARs

ADV_ARC.1, ADV_FSP.3, ADV_TDS.2, AGD_OPE.1, AGD_PRE.1, ALC_CMC.3, ALC_CMS.3, ALC_DEL.1, ALC_DVS.1, ALC_FLR.3, ALC_LCD.1, ASE_CCL.1, ASE_ECD.1, ASE_INT.1, ASE_OBJ.2, ASE_REQ.2, ASE_SPD.1, ASE_TSS.1, ATE_COV.2, ATE_DPT.1, ATE_FUN.1, ATE_IND.2, AVA_VAN.2

Cross-references

No references are available for this certificate.

Processing updates

Feed
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate data changed.
  • The certificate was first processed.

Raw data

{
  "_type": "sec_certs.sample.cc.CCCertificate",
  "category": "Products for Digital Signatures",
  "cert_link": null,
  "dgst": "5751d7ba20425cd2",
  "heuristics": {
    "_type": "sec_certs.sample.cc_eucc_common.Heuristics",
    "annotated_references": null,
    "cert_id": "ANSSI-CC-2010/53",
    "cert_lab": [
      "OPPIDA"
    ],
    "cpe_matches": null,
    "direct_transitive_cves": null,
    "eal": "EAL3+",
    "extracted_sars": {
      "_type": "Set",
      "elements": [
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ASE_TSS",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ATE_FUN",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ATE_DPT",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ASE_SPD",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ATE_IND",
          "level": 2
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ADV_FSP",
          "level": 3
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ASE_CCL",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ASE_ECD",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ALC_FLR",
          "level": 3
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ASE_REQ",
          "level": 2
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "AGD_PRE",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ASE_INT",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ALC_CMC",
          "level": 3
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ADV_ARC",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ALC_CMS",
          "level": 3
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ADV_TDS",
          "level": 2
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ATE_COV",
          "level": 2
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "AGD_OPE",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "AVA_VAN",
          "level": 2
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ALC_LCD",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ALC_DVS",
          "level": 1
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ASE_OBJ",
          "level": 2
        },
        {
          "_type": "sec_certs.sample.sar.SAR",
          "family": "ALC_DEL",
          "level": 1
        }
      ]
    },
    "extracted_versions": {
      "_type": "Set",
      "elements": [
        "4.1.4"
      ]
    },
    "indirect_transitive_cves": null,
    "next_certificates": null,
    "prev_certificates": null,
    "protection_profiles": null,
    "related_cves": null,
    "report_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "scheme_data": null,
    "st_references": {
      "_type": "sec_certs.sample.certificate.References",
      "directly_referenced_by": null,
      "directly_referencing": null,
      "indirectly_referenced_by": null,
      "indirectly_referencing": null
    },
    "verified_cpe_matches": null
  },
  "maintenance_updates": {
    "_type": "Set",
    "elements": []
  },
  "manufacturer": "C.S.",
  "manufacturer_web": "https://www.c-s.fr/",
  "name": "TrustySign version 4.1.4",
  "not_valid_after": "2019-09-01",
  "not_valid_before": "2010-08-26",
  "pdf_data": {
    "_type": "sec_certs.sample.cc_eucc_common.PdfData",
    "cert_filename": null,
    "cert_frontpage": null,
    "cert_keywords": null,
    "cert_metadata": null,
    "report_filename": "ANSSI-CC_2010-53fr.pdf",
    "report_frontpage": {
      "FR": {
        "cc_security_level": "EAL 3 augment\u00e9 ALC_FLR.3 | |",
        "cc_version": "Crit\u00e8res Communs version 3.1 r\u00e9vision 2 | |",
        "cert_id": "ANSSI-CC-2010/53 | |--------------------------------------------------------------------------------------------------------------------------------------------------------------------------| |",
        "cert_item": "| | TrustySign R\u00e9f\u00e9rence/version du produit Version 4.1.4 | |",
        "cert_item_version": "",
        "cert_lab": "Oppida | | 4-6 avenue du vieil \u00e9tang, B\u00e2timent B, 78180 Montigny le Bretonneux, T\u00e9l : +33 (0)1 30 14 19 00, m\u00e9l : [email protected]",
        "developer": "C.S. 22 avenue Galil\u00e9e, 92350 Le Plessis-Robinson, France | | Commanditaire C.S. 22 avenue Galil\u00e9e, 92350 Le Plessis-Robinson, France",
        "match_rules": [
          "R\u00e9f\u00e9rence du rapport de certification(.+)Nom du produit(.+)()Conformit\u00e9 \u00e0 un profil de protection(.+)Crit\u00e8res d\u0027\u00e9valuation et version(.+)Niveau d\u0027\u00e9valuation(.+)D\u00e9veloppeur (.+)Centre d\u0027\u00e9valuation(.+)Accords de reconnaissance applicables"
        ],
        "ref_protection_profiles": "N\u00e9ant | |"
      }
    },
    "report_keywords": {
      "asymmetric_crypto": {},
      "cc_cert_id": {
        "FR": {
          "ANSSI-CC-2010/53": 17
        }
      },
      "cc_claims": {},
      "cc_protection_profile_id": {},
      "cc_sar": {
        "ADV": {
          "ADV_ARC": 1,
          "ADV_FSP": 1,
          "ADV_IMP": 1,
          "ADV_INT": 1,
          "ADV_SPM": 1,
          "ADV_TDS": 1
        },
        "AGD": {
          "AGD_OPE": 1,
          "AGD_PRE": 1
        },
        "ALC": {
          "ALC_CMC": 1,
          "ALC_CMS": 1,
          "ALC_DEL": 1,
          "ALC_DVS": 1,
          "ALC_FLR": 2,
          "ALC_FLR.3": 1,
          "ALC_LCD": 1,
          "ALC_TAT": 1
        },
        "ASE": {
          "ASE_CCL": 1,
          "ASE_ECD": 1,
          "ASE_INT": 1,
          "ASE_OBJ": 1,
          "ASE_REQ": 1,
          "ASE_SPD": 1,
          "ASE_TSS": 1
        },
        "ATE": {
          "ATE_COV": 1,
          "ATE_DPT": 1,
          "ATE_FUN": 1,
          "ATE_IND": 1
        },
        "AVA": {
          "AVA_VAN": 2
        }
      },
      "cc_security_level": {
        "EAL": {
          "EAL 1": 1,
          "EAL 3": 3,
          "EAL 5": 1,
          "EAL 7": 1,
          "EAL4": 2
        },
        "ITSEC": {
          "ITSEC E3 El\u00e9mentaire": 1
        }
      },
      "cc_sfr": {},
      "certification_process": {},
      "cipher_mode": {},
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {},
      "crypto_protocol": {},
      "crypto_scheme": {},
      "device_model": {},
      "ecc_curve": {},
      "eval_facility": {
        "CESTI": {
          "CESTI": 1
        },
        "OPPIDA": {
          "OPPIDA": 4
        }
      },
      "hash_function": {},
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {},
      "side_channel_analysis": {},
      "standard_id": {
        "CC": {
          "CCMB-2006-09-001": 1,
          "CCMB-2007-09-002": 1,
          "CCMB-2007-09-003": 1,
          "CCMB-2007-09-004": 1
        }
      },
      "symmetric_crypto": {
        "DES": {
          "DES": {
            "DES": 1
          }
        }
      },
      "technical_report_id": {},
      "tee_name": {},
      "tls_cipher_suite": {},
      "vendor": {
        "Microsoft": {
          "Microsoft": 1
        },
        "Oberthur": {
          "Oberthur": 1
        }
      },
      "vulnerability": {}
    },
    "report_metadata": {
      "/CreationDate": "D:20101005174722+02\u002700\u0027",
      "/Keywords": "",
      "/ModDate": "D:20101005174722+02\u002700\u0027",
      "/Producer": "Acrobat Distiller 8.0.0 (Windows)",
      "pdf_file_size_bytes": 337576,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": [
          "http://www.ssi.gouv.fr/",
          "mailto:[email protected]"
        ]
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 16
    },
    "st_filename": "ANSSI-CC-cible_2010-53fr.pdf",
    "st_frontpage": null,
    "st_keywords": {
      "asymmetric_crypto": {},
      "cc_cert_id": {},
      "cc_claims": {
        "OE": {
          "OE.P": 1
        }
      },
      "cc_protection_profile_id": {},
      "cc_sar": {
        "ADV": {
          "ADV_ARC.1": 6,
          "ADV_FSP.1": 4,
          "ADV_FSP.2": 2,
          "ADV_FSP.3": 10,
          "ADV_TDS.1": 3,
          "ADV_TDS.2": 7
        },
        "AGD": {
          "AGD_OPE.1": 6,
          "AGD_PRE.1": 6
        },
        "ALC": {
          "ALC_CMC.3": 2,
          "ALC_CMS.1": 1,
          "ALC_CMS.3": 3,
          "ALC_DEL": 1,
          "ALC_DEL.1": 1,
          "ALC_DVS.1": 4,
          "ALC_FLR.3": 4,
          "ALC_LCD.1": 4
        },
        "ASE": {
          "ASE_CCL.1": 2,
          "ASE_ECD.1": 6,
          "ASE_INT.1": 6,
          "ASE_OBJ.2": 4,
          "ASE_REQ.1": 2,
          "ASE_REQ.2": 4,
          "ASE_SPD.1": 4,
          "ASE_TSS.1": 2
        },
        "ATE": {
          "ATE_COV.1": 2,
          "ATE_COV.2": 4,
          "ATE_DPT.1": 2,
          "ATE_FUN.1": 8,
          "ATE_IND.2": 2
        },
        "AVA": {
          "AVA_VAN.2": 2
        }
      },
      "cc_security_level": {
        "EAL": {
          "EAL 4+": 1,
          "EAL3": 2
        }
      },
      "cc_sfr": {
        "FCS": {
          "FCS_CKM": 14,
          "FCS_CKM.1": 8,
          "FCS_CKM.2": 1,
          "FCS_CKM.4": 10,
          "FCS_COP": 20,
          "FCS_COP.1": 5
        },
        "FDP": {
          "FDP_ACC.1": 20,
          "FDP_ETC": 8,
          "FDP_ETC.2": 8,
          "FDP_IFC": 68,
          "FDP_IFC.1": 36,
          "FDP_IFF": 51,
          "FDP_IFF.1": 48,
          "FDP_ITC": 39,
          "FDP_ITC.1": 13,
          "FDP_ITC.2": 27,
          "FDP_ROL": 4,
          "FDP_ROL.2": 2
        },
        "FIA": {
          "FIA_UAU": 5,
          "FIA_UAU.1": 2,
          "FIA_UID.1": 2,
          "FIA_UID.2": 19
        },
        "FMT": {
          "FMT_MSA": 132,
          "FMT_MSA.1": 19,
          "FMT_MSA.3": 26,
          "FMT_MTD": 25,
          "FMT_MTD.1": 4,
          "FMT_SMF": 64,
          "FMT_SMF.1": 35,
          "FMT_SMR": 1,
          "FMT_SMR.1": 64
        },
        "FPT": {
          "FPT_TDC": 48,
          "FPT_TDC.1": 16
        },
        "FTP": {
          "FTP_ITC.1": 12,
          "FTP_TRP.1": 10
        }
      },
      "certification_process": {},
      "cipher_mode": {},
      "cplc_data": {},
      "crypto_engine": {},
      "crypto_library": {},
      "crypto_protocol": {},
      "crypto_scheme": {},
      "device_model": {},
      "ecc_curve": {},
      "eval_facility": {},
      "hash_function": {
        "SHA": {
          "SHA1": {
            "SHA-1": 2
          },
          "SHA2": {
            "SHA-256": 2,
            "SHA-384": 2,
            "SHA512": 2
          }
        }
      },
      "ic_data_group": {},
      "javacard_api_const": {},
      "javacard_packages": {},
      "javacard_version": {},
      "os_name": {},
      "pq_crypto": {},
      "randomness": {},
      "side_channel_analysis": {},
      "standard_id": {
        "CC": {
          "CCMB-2007-09-002": 1,
          "CCMB-2007-09-003": 1
        },
        "PKCS": {
          "PKCS #11": 1,
          "PKCS#1": 1,
          "PKCS#11": 3,
          "PKCS#12": 2
        },
        "RFC": {
          "RFC 3280": 2,
          "RFC 3739": 4,
          "RFC-3161": 3
        }
      },
      "symmetric_crypto": {
        "AES_competition": {
          "AES": {
            "AES": 3,
            "AES-128": 1,
            "AES-192": 1,
            "AES-256": 1
          }
        },
        "DES": {
          "DES": {
            "DES": 14
          }
        }
      },
      "technical_report_id": {},
      "tee_name": {},
      "tls_cipher_suite": {},
      "vendor": {
        "Microsoft": {
          "Microsoft": 1
        },
        "Oberthur": {
          "Oberthur": 2
        }
      },
      "vulnerability": {}
    },
    "st_metadata": {
      "/CreationDate": "D:20101005174845+02\u002700\u0027",
      "/Keywords": "",
      "/ModDate": "D:20101005174845+02\u002700\u0027",
      "/Producer": "GPL Ghostscript 8.54",
      "pdf_file_size_bytes": 1465279,
      "pdf_hyperlinks": {
        "_type": "Set",
        "elements": []
      },
      "pdf_is_encrypted": false,
      "pdf_number_of_pages": 90
    }
  },
  "protection_profile_links": {
    "_type": "Set",
    "elements": []
  },
  "report_link": "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/epfiles/ANSSI-CC_2010-53fr.pdf",
  "scheme": "FR",
  "security_level": {
    "_type": "Set",
    "elements": [
      "EAL3+",
      "ALC_FLR.3"
    ]
  },
  "st_link": "https://www.commoncriteriaportal.org/nfs/ccpfiles/files/epfiles/ANSSI-CC-cible_2010-53fr.pdf",
  "state": {
    "_type": "sec_certs.sample.cc_eucc_common.InternalState",
    "cert": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": false,
      "download_ok": false,
      "extract_ok": false,
      "json_hash": null,
      "source_hash": null,
      "txt_hash": null
    },
    "report": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "42b34d41cf5d7218e40c4b447b93975b90b8d4001d09c1d5750f157fc3ebc17b",
      "source_hash": "3e9a1172fb0a1d470691275c00d2517b48fc651f1fe2c25c1b6e9f080f950489",
      "txt_hash": "6c8b773a492b0228c5f042e23fa1249126ce92a3e4fc35c77c1e32b8df76da26"
    },
    "st": {
      "_type": "sec_certs.sample.document_state.DocumentState",
      "convert_ok": true,
      "download_ok": true,
      "extract_ok": true,
      "json_hash": "0867c31f301e0483c2e583d15c3704721d30d1fed28a08c0cbfef66f4475ed1d",
      "source_hash": "36f746b983dee592059fae12786077cbbd0cbff7eb50ff1909fa29800fba3288",
      "txt_hash": "983abac5cd24431b6dcc1d5f06953d046f14854b2242083abc76334689953227"
    }
  },
  "status": "archived"
}